Skip to navigation

Update a Knowledge Base V2

Authentication

AuthorizationBearer

Authenticate server-side requests with a private Vapi API key. Create or copy a key from the Vapi Dashboard and send it in the Authorization header as Bearer <token>. Keep private API keys out of client-side code and public repositories.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier for the resource.

Request

This endpoint expects an object.
namestringOptional1-80 characters
descriptionstring or nullOptional<=1000 characters

Response

namestring1-80 characters
idstring
orgIdstring
createdAtdatetime
updatedAtdatetime
descriptionstring or nullOptional<=1000 characters